package tools.descartes.dql.connector.kieker.structures.classes;

import tools.descartes.dql.connector.kieker.structures.AbstractValue;

public class ClassMapValue extends AbstractValue<Long>{
	public ClassMapValue(long timestamp) {
		super.put(timestamp, ClassMap.getInstance().getMapIDcounter());
	}
			
	public long getID(){
		return super.getCurrentData();
	}

	@Override
	public String toString() {
		return "\t ID =[" + super.getCurrentData() + "] \t $"+ super.getCurrentTimestamp() + "\n";
	}

	public ClassMapValue enhance(long timestamp, Long classValue) {
		return this;
	}


}
