package tools.descartes.dql.connector.kieker.structures.cpu;


public class CpuMapKey  {

	private final String hostname;
	private final String cpuID;
	private final Double user;
	private final Double system;

	public CpuMapKey(String cpuID, String hostname, double user, double system){
		this.cpuID = cpuID;
		this.hostname = hostname;
		this.user=user;
		this.system=system;
	}


	public String getHostname() {
		return hostname;
	}


	public String getCpuID() {
		return cpuID;
	}


	public Double getUser() {
		return user;
	}


	public Double getSystem() {
		return system;
	}


	@Override
	public String toString(){
		return String.format("[@%1$s] \n\t SYSTEM\t%2$,.18f \n\t USER \t%3$,.18f \n\t CPU  \t%4$s", hostname,system,user,cpuID);
	}

	public String getStringItems(){
		//return "SYSTEM " + system + " USER " + user + " CPU " + cpuID;
		return "cpu"+cpuID;
	}



}
